Redmine - Defect #39714

Query grouping filter not working for custom field relations
2023-11-23 13:02 - Alexander Meindl

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Filters Estimated time: 0.00 hour
Target version: 5.1.1

Resolution: Fixed Affected version: 5.1.0
Description

With https://www.redmine.org/projects/redmine/repository/svn/revisions/22177/diff grouping filter for relations do not work correctly.
The name for group is wrong.

An example:

- create a custom field for users (any format)

- create another a custom field for issues with format user

- go to issue list and open select box with available filters

In the list of available filters there is a missing label for the group if cf-relation to the issue.

The problem is, that another regular expression is used first. Changing the order fix the problem.

The attached patch fixes the problem.

Related issues:
Related to Redmine - Defect #40157: Problem with Version types project CFs gr... Closed

Associated revisions

Revision 22478 - 2023-11-26 14:53 - Marius BALTEANU

Fix query grouping filter not working for custom field relations (#39714).

Patch Alexander Meindl.

Revision 22479 - 2023-11-26 14:54 - Marius BALTEANU
Add test for #39714.

Revision 22481 - 2023-11-26 14:57 - Marius BALTEANU
Merged r22478 to r22479from trunk to 5.1-stable (#39714).

History

#1 - 2023-11-23 13:07 - Alexander Meindl
Just as note: | tested it without any plugin and with Redmine 5.1.0-stable. Ruby 3.2.2 and PostgreSQL 15.

#2 - 2023-11-26 14:28 - Marius BALTEANU
- Status changed from New to Confirmed

- Target version set to 5.0.7

#3 - 2023-11-26 14:54 - Marius BALTEANU
- Status changed from Confirmed to Resolved
- Assignee set to Marius BALTEANU

- Resolution set to Fixed

Committted with a test, thanks for reporting and fixing the issue.
https://www.redmine.org/projects/redmine/repository/svn/revisions/22177/diff

#4 - 2023-11-26 15:00 - Marius BALTEANU

- Target version changed from 5.0.7 to 5.1.1

#5 - 2023-11-26 23:54 - Marius BALTEANU

- Status changed from Resolved to Closed

#6 - 2024-01-31 04:51 - Marius BALTEANU
- Related to Defect #40157: Problem with Version types project CFs group titles in filters drop-down boxes added

Files
query_filter_group_fix.patch 1.11 KB 2023-11-23 Alexander Meindl
missing_group_name_for_custom_field_relation.png 68.4 KB 2023-11-23 Alexander Meindl
